# -*- encoding: utf-8 -*-
class Web::Bank::ListController < ApplicationController

  #-------------------------------------------------------------------------
  # 決済金融機関一覧 初期表示
  #-------------------------------------------------------------------------
  def index

    #-------------------------------------------------------------------------
    # 要求DTOを生成し、値を設定します。
    #-------------------------------------------------------------------------
    req = Veritrans::Tercerog::Mdk::SearchRequestDto.new
    req.master_names = "bankFinancialInstInfo"


    #-------------------------------------------------------------------------
    # コマンドを実行し、応答DTOを取得します。
    #-------------------------------------------------------------------------
    tran = Veritrans::Tercerog::Mdk::MdkTransaction.new
    res = tran.execute(req)


    #--------------------------------------------------------------------------
    # 結果画面に表示します。
    #--------------------------------------------------------------------------
    master_infos = res.master_infos
    master_info = master_infos.master_info
    masters = master_info[0].masters
    @bank_financials = masters.bank_financial_inst_info

#    @bank_financials
#    key = "aaaa_"
#    key.gsub(/^\w/){|word| word.upcase}
  end

end
