# -*- encoding: utf-8 -*-
class Web::Masterpass::ResultController < ApplicationController

  #-------------------------------------------------------------------------
  # MasterPassの実行および結果画面用コントローラ
  #-------------------------------------------------------------------------

  #-------------------------------------------------------------------------
  # 入力フォーム初期表示
  #-------------------------------------------------------------------------
  def index
    @order_id = params[:orderId]
    @mstatus = params[:mstatus]
    @v_result_code = params[:vResultCode]
    command = params[:command]
    result = params[:result]

    @str_command_eng = ""
    @str_command_jpn = ""
    unless command.nil?
      if "Authorize" == command
        @str_command_eng = "Authorize"
        @str_command_jpn = "決済"
      end
    end

    @str_result_eng = ""
    @str_result_jpn = ""
    if "SUCCESS" == result
      @str_result_eng = "Success"
      @str_result_jpn = "完了"
    elsif "CANCEL" == result
      @str_result_eng = "Cancel"
      @str_result_jpn = "キャンセル"
    elsif "ERROR" == result
      @str_result_eng = "Error"
      @str_result_jpn = "エラー"
    end

    @warning_message = check_auth_info
  end

  #-------------------------------------------------------------------------
  # vAuthInfoパラメータのチェック
  #-------------------------------------------------------------------------
  private
  def check_auth_info

    conf = Veritrans::Tercerog::Mdk::MdkConfig.instance
    unless Veritrans::Tercerog::Mdk::AuthHashUtil::check_auth_hash?(\
            params.to_unsafe_h, conf.merchant_cc_id, conf.merchant_secret_key, "UTF-8")
      return "<font color='#ff0000'><b>Parameter is altered dishonestly<br>(【パラメータ改竄】パラメータ情報が改竄されています。)</b></font>"
    else
      return ""
    end
  end
end
