class Web::Alipay::RefundController < ApplicationController
  include MdkValidation

  #-------------------------------------------------------------------------
  # Alipay返金サンプル
  #-------------------------------------------------------------------------
  def execute
    @err_msg = validate_alipay_refund
    unless @err_msg.blank?
      render :action => :index
    return
    end


    #-------------------------------------------------------------------------
    # 要求DTOを生成し、値を設定します。
    #-------------------------------------------------------------------------
    req = Veritrans::Tercerog::Mdk::AlipayRefundRequestDto.new
    req.order_id = params[:orderId].to_s
    req.amount = params[:amount].to_s
    req.reason = params[:reason].to_s


    #-------------------------------------------------------------------------
    # コマンドを実行し、応答DTOを取得します。
    #-------------------------------------------------------------------------
    tran = Veritrans::Tercerog::Mdk::MdkTransaction.new
    res = tran.execute(req)


    #--------------------------------------------------------------------------
    # 結果画面に表示します。
    #--------------------------------------------------------------------------
    @result_order_id = res.order_id
    @mstatus = res.mstatus
    @v_result_code = res.v_result_code
    @merr_msg = res.merr_msg
    @center_trade_id = res.center_trade_id
    @balance = res.balance
  end
end
