# -*- encoding: utf-8 -*-
class Web::Carrier::Mb::AuthorizeController < Web::Carrier::AbstractAuthorizeController
  layout "mb_application"
  before_action :to_utf8
  after_action :to_sjis
  skip_before_action :verify_authenticity_token

  #-------------------------------------------------------------------------
  # see AbstractAuthorizeController
  def get_config_suffix
    return ".mb"
  end

  #-------------------------------------------------------------------------
  # see AbstractAuthorizeController: モバイルのときは true を返す
  def is_no_header_footer
    return "true"
  end


  #-------------------------------------------------------------------------
  # action index のときのデフォルト値を設定
  def set_my_default
    # 3Dセキュア
    t_d3flag = params[:d3_flag]
    t_d3flag = Veritrans::Tercerog::Mdk::MdkConst::CARRIER_3D_NONE if t_d3flag.nil?
    @d3_flag = t_d3flag

  if false
    # 初回課金日
    t_mp_first_date = params[:mp_first_date]
    if t_mp_first_date.nil?
      t_now = Time.now
      t_now = t_now + 60*60*24*3 # 3日後
      t_mp_first_date = t_now.strftime("%Y%m%d")
    end
    @mp_first_date = t_mp_first_date

    # 継続課金日
    @mp_day = params[:mp_day]
    @mp_day = "01" if @mp_day.nil?
  end

    # 商品情報
    @item_info = params[:item_info]
    @item_info = "" if @item_info.nil?
  end

end
